BatchGetSourceEndpoint
Retrieves information about multiple source endpoints in a single request.
Request Syntax
GET /v1/sourceEndpoints?arns=arns HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- arns
-
The Amazon Resource Names (ARNs) of one or more source endpoints to retrieve. You can specify from 1 to 20 ARNs.
Array Members: Minimum number of 1 item. Maximum number of 20 items.
Length Constraints: Minimum length of 64. Maximum length of 128.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:sourceEndpoint:[a-z0-9]{12}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"errors": [
{
"arn": "string",
"code": "string",
"message": "string"
}
],
"sourceEndpoints": [
{
"arn": "string",
"associatedResourceDetails": { ... },
"availabilityZone": "string",
"availabilityZoneId": "string",
"configuration": { ... },
"connectedDestinations": [ "string" ],
"connectionDetails": { ... },
"connectionState": "string",
"createdAt": "string",
"description": "string",
"encryptionConfiguration": { ... },
"encryptionType": "string",
"id": "string",
"lifecycleManagement": "string",
"messages": [
{
"code": "string",
"message": "string"
}
],
"name": "string",
"regionName": "string",
"registrationState": "string",
"resourceShareDetails": { ... },
"resourceShareOwnership": "string",
"sourceType": "string",
"tags": {
"string" : "string"
},
"updatedAt": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- errors
-
The errors for any source endpoints that MediaConnect couldn't retrieve.
Type: Array of BatchGetSourceEndpointError objects
- sourceEndpoints
-
The source endpoints that MediaConnect successfully retrieved.
Type: Array of SourceEndpoint objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.
HTTP Status Code: 400
- ConflictException
-
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.
HTTP Status Code: 409
- InternalServerErrorException
-
The server encountered an internal error and is unable to complete the request.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is currently unavailable or busy.
HTTP Status Code: 503
- TooManyRequestsException
-
The request was denied due to request throttling.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: